<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Classwork</title>

    <script>
    /*
      Задание:
        1. Используя интерфейс который есть на страничке, написать визуальный
        конструктор обектов используя значение key-value, которые вводятся в
        соответствующие поля в форме.

        2. Каждый созданый обьект выводить в тег code после добавления каждого
        нового поля. Т.е мы должны визуально видить в каком состоянии наши обьекты
        сейчас

        3. По нажатию кнопки Combine Objects! два обьекта должны обьедениться
        используя метод Object.assing или spread operator и вывестись на стринчку.

        * Изменять HTML можно.

    */
    window.onload = () => {
      //Object1
      
      let code1 = document.getElementById("code1");
      let form1 = document.getElementById("ObjForm1");
      let form2 = document.getElementById("ObjForm2"); 
      let btn= document.getElementById("comb_btn");

      let Obj1 = {};
      let Obj2 = {};
      
      form1.addEventListener("submit", (e) => {
        e.preventDefault();
        console.log(e.target);
        let key = e.target.elements[0].value;
        let value = e.target.elements[1].value;;

        Obj1[key] = value;

        let html = `{`;
        for (key in Obj1) {
          html = html + ` ${key} : '${Obj1[key]}',`;
        }
        html = html+`}`;

        let code = document.getElementById("code1");
        code.innerHTML = html;
      })

      form2.addEventListener("submit", (e) => {
        e.preventDefault();
        console.log(e.target);
        let key = e.target.elements[0].value;
        let value = e.target.elements[1].value;;

        Obj2[key] = value;

        let html = `{`;
        for (key in Obj2) {
          html = html + ` ${key} : '${Obj2[key]}',`;
        }
        html = html+`}`;

        let code = document.getElementById("code2");
        code.innerHTML = html;
      })

      btn.addEventListener("click", () =>{
        let newObject = Object.assign({}, Obj1, Obj2);
        let div = document.getElementById("result");
        let html = `{`;
        for (key in newObject) {
          html = html + ` ${key} : '${newObject[key]}',`;
        }
        html = html+`}`;
        div.innerHTML = html;

      })

    }
    </script>
</head>
<body>
  <div class="wrap">
      <div class="assigned">
        <form class="ObjForm" id="ObjForm1">
            <input name="key" id="key" placeholder="Enter your key"/>
            <input name="value" id="value" placeholder="Enter your value"/>
            <button type="submit" id="submit">Send</button>
        </form>
        <div class="createResult">
          <header>
            Created Object
          </header>
          <div class="createdObj">
            <code id = "code1">
              {
                id:123,
                b:'test',
                demo:'test2'
              }
            </code>
          </div>
        </div>
      </div>

      <div class="assigned">
        <form class="ObjForm" id="ObjForm2">
            <input name="key" id="key2" placeholder="Enter your key"/>
            <input name="value" id="value2" placeholder="Enter your value"/>
            <button type="submit" id="submit2">Send</button>
          </form>
          <div class="createResult">
            <header>
              Created Object
            </header>
            <div class="createdObj">
              <code id = "code2"> 
                {
                  id:123,
                  b:'test',
                  demo:'test2'
                }
              </code>
            </div>
          </div>
      </div>
    </div>
    <div class="resultBlock">
       <button id="comb_btn">Combine Objects!</button>
      <h3> Result: </h3>
      <div id="result"></div>
    </div>

      <script>

      </script>
      <style>
        .wrap{
          width: 800px;
          display: flex;
        }
        .ObjForm,
        .resultBlock{
          display: flex;
          flex-direction: column;
          align-items: flex-start;
          box-sizing: border-box;
          padding: 10px 20px;
        }

        .assigned{
          width: 300px;
          display: flex;
        }
        .createResult header{
          font-weight: 700;
        }
      </style>
</body>
</html>
